<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/

class Core_Plugin_Task_ClarLoginLog extends Core_Plugin_Task_Abstract {

  public function execute() {
  
		if(Engine_Api::_()->getApi('settings', 'core')->getSetting('core.general.enableloginlogs', '1')) {
			$db = Engine_Db_Table::getDefaultAdapter();
			$db->query("TRUNCATE TABLE `engine4_user_logins`;");
		}
  }
}
